#include <bits/stdc++.h>

#define ll long long

void solve()
{
    ll n, j, br;
    std::set<ll> cnt;

    std::cin >> n;
    j = n % 10;
    br = n / 10;

    for(ll x = 0; x < 10; x++)
    {
        for(ll y = 1; y <= br; y++)
        {
            cnt.insert(x * y);
        }
    }

    for(ll x = 0; x < j; x++)
        cnt.insert(x * (br + 1));

    std::cout << cnt.size() << "\n";
}

int main()
{
    int t;
    std::cin >> t;
    
    while(t--)
        solve();

    return 0;
}